Subject: Re: arch/powerpc/sysdev: dumping ground or only for shared drivers?

From: [email-masked] (Olof Johansson)
Date: Tue, 15 May 2007 17:25:29 -0500

On Tue, May 15, 2007 at 04:19:05PM -0600, Grant Likely wrote:
> On 5/15/07, Mark A. Greer <[email-masked]> wrote:
> > On Tue, May 15, 2007 at 04:06:40PM -0500, Kumar Gala wrote:
> > > If this is how we are going we should move some code from arch/
> > > powerpc/platforms into sysdev (for example the 5200 platform has its
> > > pic code and some other bits that would be candidate to move into
> > > sysdev).
> >
> > I like Paul's take as well and I don't like the idea of moving the
> > 5200 pci code, etc. to sysdev.  I just can't explain why.
> >
> > But, I'll try anyway:
> >
> > The 5200 is an SoC so all the portions of that chip are tighly coupled
> > with the 5200.  It doesn't make sense to put half of the 5200 code under
> > platforms and the other half under sysdev (unless the code is shared
> > with something that isn't a 5200).
> 
> Actually, that's a good explaination
> 
> I must agree.  If there is little chance that the code will be used by
> any other platform, then don't split it up for the sake of (for
> example) putting all the pic code in the same place.  I think there
> are fewer opportunities for confusion if only code that is actually
> shared goes in the shared directory.  (ie. "how worried do I need to
> be about affecting other platforms when I modify this code?").

In other words, both of you agree with my original points, even though
Mark said first "I agree with Paul", and then gave the same reasons as
me for not putting non-shared stuff in sysdev. :-)

Anyway, I don't care enough to try to persuade anyone to change stance
on the question, I mostly wanted it clarified before it gets out of hand
in case it is NOT to be a dumping ground.

-Olof